%global _hardened_build 1

Name:           pdfcrack
Version:        0.14
Release:        1%{?dist}
Summary:        A Password Recovery Tool for PDF files

Group:          Applications/System
License:        GPLv2+
URL:            http://pdfcrack.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

%description
PDFCrack is a GNU/Linux tool for recovering passwords and content
from PDF-files. It is small, command line driven without external
dependencies.

%prep
%setup -q


%build
make %{?_smp_mflags} CFLAGS="${RPM_OPT_FLAGS}"


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -pm0755 %{name} $RPM_BUILD_ROOT%{_bindir}/
install -pm0644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/


%files
%doc README COPYING changelog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz


%changelog
* Tue Sep 02 2014 P J P <pjp@fedoraproject.org> - 0.14-1
- New pdfcrack.1 manual, new release

* Sat Aug 30 2014 P J P <pjp@fedoraproject.org> - 0.13-1
- New release

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Oct 29 2011 P J P <pj.pandit@yahoo.co.in> - 0.11-7
- Added new user manual - pdfcrack.1 - by Mr. Richard Shaw.

* Fri Oct 28 2011 P J P <pj.pandit@yahoo.co.in> - 0.11-6
- changed to update description and add CFLAGS to the build section.

* Sat Oct 22 2011 P J P <pj.pandit@yahoo.co.in> - 0.11-5
- created a patch to the Makefile to keep it from striping the
  binary files.

* Thu Oct 20 2011 P J P <pj.pandit@yahoo.co.in> - 0.11-4
- changed install section to use {name} macro.

* Wed Oct 19 2011 P J P <pj.pandit@yahoo.co.in> - 0.11-3
- changed to use name macro in files secion.

* Mon Oct 17 2011 P J P <pj.pandit@yahoo.co.in> - 0.11-2
- changed Source0 to use name and version macros. Removed section: clean.

* Mon Oct 17 2011 P J P <pj.pandit@yahoo.co.in> - 0.11-1
- First RPM build.
